Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512549 - Middleware: Topology view does not display EAP midleware servers
Summary: Middleware: Topology view does not display EAP midleware servers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Karel Hala
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks: 1520989
TreeView+ depends on / blocked
 
Reported: 2017-11-13 13:39 UTC by Sunil Kondkar
Modified: 2018-03-30 17:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1520989 (view as bug list)
Environment:
Last Closed: 2018-01-08 14:25:47 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)
midleware servers list page with all servers (deleted)
2017-11-13 13:39 UTC, Sunil Kondkar
no flags Details
Topology->Servers Page (deleted)
2017-11-13 13:41 UTC, Sunil Kondkar
no flags Details
Screenshot-EAP-server-deployments (deleted)
2017-11-13 13:42 UTC, Sunil Kondkar
no flags Details

Description Sunil Kondkar 2017-11-13 13:39:50 UTC
Created attachment 1351571 [details]
midleware servers list page with all servers

Description of problem:

Middleware->Topology view does not shows middleware servers which have product as 'JBoss EAP' in 'Server' view. It shows only those middleware servers for which the product is not - JBoss EAP.

Ex: I have EAP on openshift and another EAP standalone installed. Also a domain controller with three EAP servers are installed and can be seen in the attached screenshot.

On Middleware->Topology screen if filtered out to show only servers, only Hawkular Provider, local server and one of the domain eap server is shown, whereas all other EAP servers are not shown. (Where product is 'JBoss EAP')

Please refer the attached screenshots.

Version-Release number of selected component (if applicable):

Version 5.9.0.8.20171109215303_ed87902

How reproducible:

Always

Steps to Reproduce:

1. Install couple of EAP standalone servers and a domain controller.

2. Add middleware provider and verify the EAP servers are listed on midleware servers list page.(screenshot attached)

3. Navigate to Middleware->Topology page.

4. Click on all entity links(Deployments, Datasources etc) except 'Servers' link so that only middleware servers are shown in topology page.

5. Observe that the page shows only local(hawkular server), hawkular provider and one of the standalone server(EAP7-server-three) in domain server group. (screenshot attached)

6. It does not show four EAP servers which are listed in Middleware Servers list page and have product as 'JBoss EAP'.

Actual results:

EAP middleware servers are not shown in Midleware Servers->Toplogy page.

Expected results:

EAP middleware servers should be shown in Midleware Servers->Topology page.


Additional info:

EAP servers are not shown in topology, but the deployments, datasources of those EAP servers are shown. 
These are shown as not connected to anything in topology view as EAP servers are not available in topology view. 

(Ex: Please refer the attached screnshot - Screenshot-EAP-server-deployments )

Comment 2 Sunil Kondkar 2017-11-13 13:41:37 UTC
Created attachment 1351572 [details]
Topology->Servers Page

Comment 3 Sunil Kondkar 2017-11-13 13:42:55 UTC
Created attachment 1351573 [details]
Screenshot-EAP-server-deployments

Comment 5 CFME Bot 2017-12-04 14:14:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/25a0da662cfcf4fad41b64a30d144d46a1526689

commit 25a0da662cfcf4fad41b64a30d144d46a1526689
Author:     Karel Hala <khala@redhat.com>
AuthorDate: Tue Nov 14 14:50:53 2017 +0100
Commit:     Karel Hala <khala@redhat.com>
CommitDate: Fri Nov 24 14:42:16 2017 +0100

    Add EAP and Wildfly to allowed types for MW topology
    https://bugzilla.redhat.com/show_bug.cgi?id=1512549

 app/services/middleware_topology_service.rb | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.